### Hierarchy

- DataRequest

## Index

### Constructors

- constructor

### Properties

- fromPk
- id
- requestData
- responseData
- toPk

## Constructors

### constructor

- new DataRequest(toPk?: string, requestData?: string, responseData?: string): DataRequest

- - Defined in repository/models/DataRequest.ts:7

  #### Parameters

  - ##### Default value toPk: string = ""

  - ##### Default value requestData: string = ""

  - ##### Default value responseData: string = ""

  #### Returns DataRequest

## Properties

### fromPk

fromPk: string = ""

- Defined in repository/models/DataRequest.ts:4

### id

id: number = 0

- Defined in repository/models/DataRequest.ts:3

### requestData

requestData: string = ""

- Defined in repository/models/DataRequest.ts:6

### responseData

responseData: string = ""

- Defined in repository/models/DataRequest.ts:7

### toPk

toPk: string = ""

- Defined in repository/models/DataRequest.ts:5

Generated using TypeDoc